Bug 1415349 - os-prober-1.74 is available
Summary: os-prober-1.74 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: os-prober
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hedayat Vatankhah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-21 00:23 UTC by Upstream Release Monitoring
Modified: 2017-04-01 17:32 UTC (History)
4 users (show)

Fixed In Version: os-prober-1.74-1.fc25 os-prober-1.74-1.fc26
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-31 02:22:44 UTC
Type: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (68.17 KB, patch)
2017-01-21 00:24 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (67.34 KB, patch)
2017-01-22 00:18 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.04 KB, patch)
2017-02-01 12:25 UTC, Upstream Release Monitoring
no flags Details | Diff
Dist-Git patch to update os-prober to 1.74, with patches rediffed (19.01 KB, patch)
2017-02-08 06:43 UTC, Neal Gompa
no flags Details | Diff
Dist-Git patch to update os-prober to 1.74, with patches rediffed (19.06 KB, patch)
2017-02-08 08:27 UTC, Neal Gompa
no flags Details | Diff

Description Upstream Release Monitoring 2017-01-21 00:23:33 UTC
Latest upstream release: 1.72
Current version/release in rawhide: 1.71-1.fc25
URL: http://packages.debian.org/os-prober

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2574/

Comment 1 Upstream Release Monitoring 2017-01-21 00:24:10 UTC
Patching or scratch build for os-prober-1.71 failed.

Comment 2 Upstream Release Monitoring 2017-01-21 00:24:12 UTC
Created attachment 1243061 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2017-01-21 00:24:14 UTC
Following patches has been deleted:
['os-prober-newnsdirfix.patch', 'os-prober-no-dummy-mach-kernel.patch', 'os-prober-mdraidfix.patch', 'os-prober-bootpart-name-fix.patch', 'os-prober-mounted-partitions-fix.patch', 'os-prober-factored-logger-efi-fix.patch', 'os-prober-umount-fix.patch', 'os-prober-grub2-parsefix.patch', 'os-prober-grepfix.patch', 'os-prober-gentoo-fix.patch']

Comment 4 Upstream Release Monitoring 2017-01-21 00:24:16 UTC
Following patches has been unapplied:
['os-prober-yaboot-parsefix.patch', 'os-prober-usrmovefix.patch', 'os-prober-disable-debug-test.patch', 'os-prober-btrfsfix.patch', 'os-prober-factor-out-logger.patch']

Comment 5 Upstream Release Monitoring 2017-01-22 00:17:29 UTC
Latest upstream release: 1.73
Current version/release in rawhide: 1.71-1.fc25
URL: http://packages.debian.org/os-prober

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2574/

Comment 6 Upstream Release Monitoring 2017-01-22 00:18:05 UTC
Patching or scratch build for os-prober-1.71 failed.

Comment 7 Upstream Release Monitoring 2017-01-22 00:18:07 UTC
Created attachment 1243237 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 8 Upstream Release Monitoring 2017-01-22 00:18:09 UTC
Following patches has been deleted:
['os-prober-newnsdirfix.patch', 'os-prober-no-dummy-mach-kernel.patch', 'os-prober-mdraidfix.patch', 'os-prober-bootpart-name-fix.patch', 'os-prober-mounted-partitions-fix.patch', 'os-prober-factored-logger-efi-fix.patch', 'os-prober-umount-fix.patch', 'os-prober-grub2-parsefix.patch', 'os-prober-grepfix.patch', 'os-prober-gentoo-fix.patch']

Comment 9 Upstream Release Monitoring 2017-01-22 00:18:11 UTC
Following patches has been unapplied:
['os-prober-yaboot-parsefix.patch', 'os-prober-usrmovefix.patch', 'os-prober-disable-debug-test.patch', 'os-prober-btrfsfix.patch', 'os-prober-factor-out-logger.patch']

Comment 10 Upstream Release Monitoring 2017-02-01 12:25:26 UTC
Latest upstream release: 1.74
Current version/release in rawhide: 1.71-1.fc25
URL: http://packages.debian.org/os-prober

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2574/

Comment 11 Upstream Release Monitoring 2017-02-01 12:25:57 UTC
Patching or scratch build for os-prober-1.71 failed.

Comment 12 Upstream Release Monitoring 2017-02-01 12:25:58 UTC
Created attachment 1246634 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 13 Upstream Release Monitoring 2017-02-01 12:26:00 UTC
Following patches has been deleted:
['gimp-2.8.2-cm-system-monitor-profile-by-default.patch', 'gimp-2.8.6-external-help-browser.patch']

Comment 14 Account closed by the user 2017-02-01 18:28:12 UTC
(In reply to Upstream Release Monitoring from comment #10)
> Latest upstream release: 1.74
> Current version/release in rawhide: 1.71-1.fc25
> URL: http://packages.debian.org/os-prober
> Based on the information from anitya: https://release-monitoring.org/project/2574/

Changelog:

os-prober (1.74) unstable; urgency=high

  [ Ivo De Decker ]
  * os-probes/common/50mounted-tests: Skip partition when FS type is
    LVM2_member, since one isn't supposed to touch physical volumes
    directly. This avoids hanging during “dmcreate setup” with
    unencrypted LVM setups (Closes: #853277).

 -- Cyril Brulebois <kibi@debian.org>  Wed, 01 Feb 2017 00:01:17 +0100

os-prober (1.73) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Add support for Mageia, thanks to Neal Gompa (Closes: #851983).

 -- Christian Perrier <bubulle@debian.org>  Sat, 21 Jan 2017 08:44:01 +0100

os-prober (1.72) unstable; urgency=medium

  * Improve logging of mounting and setting partitions to ro/rw (thanks, Ivo
    De Decker).
  * Use a read-only device-mapper entry if possible rather than setting the
    underlying device to read-only (thanks, Ivo De Decker; closes: #701814).
    Note that this introduces a dependency on dmsetup on Linux
    architectures.
  * Remove the "blockdev --setro" code path entirely, since the read-only
    device-mapper arrangement supersedes it and should be safer (closes:
    #648208).
  * Make os-prober-udeb depend on grub-mount-udeb on all Linux and kFreeBSD
    architectures, now that it's available on them all (thanks, James
    Cowgill; closes: #776275).
  * Make os-prober depend on grub-common on Linux and kFreeBSD, in order
    that grub-mount is consistently available.
  * Fix detection of /usr/ partition as a GNU/Linux root partition when
    /lib* directories are moved to /usr/ completely (thanks, Hedayat
    Vatankhah; closes: #698733).
  * Make the yaboot parser more tolerant about the syntax of "append"
    options (thanks, Hedayat Vatankhah; closes: #674561).
  * Disable debugging if OS_PROBER_DISABLE_DEBUG is set (thanks, Hedayat
    Vatankhah; closes: #698598).
  * Replace basename/dirname with shell string processing (thanks, Hedayat
    Vatankhah; part of #694668).
  * Call dmraid only once (thanks, Jeff Mahoney).
  * Fix typos in README (thanks, Nyav; closes: #803155).
  * Add os-release support (based loosely on a patch by Török Edwin; closes:
    #794409).
  * Add Devuan detection (thanks, David Hare; closes: #801631).
  * Work harder to avoid trying to mount extended partitions (thanks,
    Philippe Coval; closes: #784709).
  * Drop " (loader)" suffixes on Microsoft operating systems (thanks, Chris
    Lamb; closes: #787418).

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Jan 2017 12:44:34 +0000

Comment 15 Neal Gompa 2017-02-08 06:43:39 UTC
Created attachment 1248553 [details]
Dist-Git patch to update os-prober to 1.74, with patches rediffed

I've prepared a dist-git patch that applies against master to update os-prober to 1.74. This patch can be applied by checking out the package and using "git am" in the repository to apply it.

Example workflow:
$ fedpkg co os-prober
$ cd os-prober
$ git am 0001-Update-to-upstream-version-1.74.patch
$ fedpkg push
$ fedpkg build

Comment 16 Neal Gompa 2017-02-08 07:54:42 UTC
Scratch build in Koji of the new version of os-prober: https://koji.fedoraproject.org/koji/taskinfo?taskID=17666637

Comment 17 Neal Gompa 2017-02-08 08:27:56 UTC
Created attachment 1248557 [details]
Dist-Git patch to update os-prober to 1.74, with patches rediffed

Adjusted patch to add missing dependency on device-mapper

Comment 18 Hedayat Vatankhah 2017-02-08 10:12:22 UTC
Thanks! Seems that there is lot of interest in new os-prober update. I'll apply the update soon.
:)

Comment 19 Neal Gompa 2017-02-09 12:36:00 UTC
@Hedayat,

Is there something in particular holding up updating os-prober? I'd like to see it go in before the mass-rebuild begins...

Comment 20 Hedayat Vatankhah 2017-02-09 17:46:24 UTC
The update (1.72) was quite big, including some of our patches, for which I needed to spend some time on it. Although with your patch it is much easier, it is still better for me to read it. BTW, why you think having it before mass-rebuild is better? :P I don't see any special benefit from it.

Anyway, I'll try to update it tomorrow, and thanks again for your patch.

Comment 21 Neal Gompa 2017-02-10 13:20:38 UTC
Nothing particularly special I guess about mass-rebuild time, I guess.

I just want it in asap because I'm working on a downstream remix and some of the fixes in newer os-prober help there.

Comment 22 Upstream Release Monitoring 2017-03-27 19:48:35 UTC
hedayat's os-prober-1.74-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=873162

Comment 23 Fedora Update System 2017-03-27 20:27:53 UTC
os-prober-1.74-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-780dee12d5

Comment 24 Fedora Update System 2017-03-27 20:28:04 UTC
os-prober-1.74-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a97cb86ee7

Comment 25 Fedora Update System 2017-03-28 17:53:47 UTC
os-prober-1.74-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a97cb86ee7

Comment 26 Fedora Update System 2017-03-29 04:23:02 UTC
os-prober-1.74-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-780dee12d5

Comment 27 Fedora Update System 2017-03-31 02:22:44 UTC
os-prober-1.74-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2017-04-01 17:32:51 UTC
os-prober-1.74-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.